Subject: Re: RFC: Redirect-Device

From: Thomas Graf <[email-masked]>
Date: Fri, 1 Apr 2005 00:46:40 +0200

* Ben Greear <[email-masked]> 2005-03-31 14:22
> My personal opinion is that netlink sockets are a pain in the ass to deal
> with, and there is no way I want to try to programatically parse the tc
> input or output.

libnl will make your life a lot easier, the tc support is not yet
finished but I'll be releasing a version this week which at least
fully support all the basics (link, neigh, address, routes, rules).
It's only a matter of time until one can use the tc interface with
only a few library calls.